#include <stdio.h>
#include <fcntl.h>
#include <linux/kd.h>
#include <asm/vc_ioctl.h>

int
isMklinux()
{
    int fd;
    fd = open("/proc/osfmach3",O_RDONLY);
    if (fd>0) {
	close(fd);
	return 1;
    }
    return 0;
}

main()
{
    int fd;
    struct vc_mode mode;

    fd = open("/dev/console", O_RDWR|O_NDELAY);
    if (fd < 0) {
	perror("open console");
	exit(1);
    }
    if (ioctl(fd, VC_GETMODE, (unsigned long) &mode) < 0 )
	perror("ioctl(VC_GETMODE)");
    if (!isMklinux())
	if (ioctl(fd, VC_SETMODE, (unsigned long) &mode) < 0 )
	    printf("ioctl(VC_GETMODE)\n");
    if (ioctl(fd, KDSETMODE, KD_TEXT) < 0) {
	perror("ioctl(KDSETMODE, KD_TEXT)");
    }
    if (ioctl(fd, KDSKBMODE, K_XLATE) < 0) {
	perror("ioctl(KDSKBMODE, K_XLATE)");
    }
    write(fd, "\033]R", 3);	/* reset palette */
    exit(0);
}
